summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/Ice/Ice-3.7.8-r1.ebuild258
-rw-r--r--dev-libs/Ice/Ice-3.7.8-r2.ebuild258
-rw-r--r--dev-libs/Ice/Ice-3.7.8.ebuild258
-rw-r--r--dev-libs/Ice/Manifest7
-rw-r--r--dev-libs/Ice/files/Ice-3.7.8-fix-musl-build.patch13
-rw-r--r--dev-libs/Ice/files/Ice-3.7.8-py3k11.patch45
-rw-r--r--dev-libs/Manifest.gzbin96385 -> 96372 bytes
-rw-r--r--dev-libs/ayatana-ido/Manifest2
-rw-r--r--dev-libs/ayatana-ido/ayatana-ido-0.9.2.ebuild2
-rw-r--r--dev-libs/libayatana-appindicator/Manifest2
-rw-r--r--dev-libs/libayatana-appindicator/libayatana-appindicator-0.5.91.ebuild2
-rw-r--r--dev-libs/libayatana-indicator/Manifest2
-rw-r--r--dev-libs/libayatana-indicator/libayatana-indicator-0.9.3.ebuild2
-rw-r--r--dev-libs/libsigc++/Manifest4
-rw-r--r--dev-libs/libsigc++/libsigc++-2.12.0.ebuild37
-rw-r--r--dev-libs/libsigc++/libsigc++-3.4.0.ebuild40
16 files changed, 926 insertions, 6 deletions
diff --git a/dev-libs/Ice/Ice-3.7.8-r1.ebuild b/dev-libs/Ice/Ice-3.7.8-r1.ebuild
new file mode 100644
index 000000000000..962e357aa908
--- /dev/null
+++ b/dev-libs/Ice/Ice-3.7.8-r1.ebuild
@@ -0,0 +1,258 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+RUBY_OPTIONAL="yes"
+USE_RUBY="ruby30"
+
+PHP_EXT_NAME="IcePHP"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+PHP_EXT_OPTIONAL_USE=php
+
+USE_PHP="php8-0 php8-1 php8-2"
+
+inherit php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
+
+DESCRIPTION="ICE middleware C++ library and generator tools"
+HOMEPAGE="https://zeroc.com/products/ice"
+SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ doc? ( https://download.zeroc.com/Ice/$(ver_cut 1-2)/${PN}-3.7.1.pdf )"
+LICENSE="GPL-2"
+SLOT="0/37"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug doc examples php python ruby test"
+RESTRICT="test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND=">=app-arch/bzip2-1.0.5
+ >=dev-libs/expat-2.0.1
+ dev-libs/libedit
+ dev-cpp/libmcpp
+ dev-db/lmdb:=
+ dev-libs/openssl:0=
+ virtual/libcrypt:=
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( $(ruby_implementation_depend ruby30) )"
+DEPEND="${RDEPEND}
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )"
+
+# Maintainer notes:
+# TODO: java bindings
+
+S="${WORKDIR}/${P,}"
+PHP_EXT_S="${S}/php"
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-musl-build.patch"
+ "${FILESDIR}/${P}-py3k11.patch"
+)
+
+pkg_setup() {
+ # prevent ruby-ng.eclass from messing with pkg_setup
+ return
+}
+
+src_unpack() {
+ # prevent ruby-ng.eclass from messing with src_unpack
+ default
+}
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's|-Werror ||g' \
+ config/Make.rules.Linux || die
+
+ # fix for x86 IceBox test
+ sed -i \
+ -e 's|"32"|""|' \
+ scripts/IceBoxUtil.py || die
+
+ if use !test; then
+ # Disable building tests
+ sed -i \
+ -e 's|include \$(top_srcdir)/config/Make.tests.rules||' \
+ config/Make.rules || die
+ fi
+}
+
+src_configure() {
+ MAKE_RULES=(
+ "embedded_runpath_prefix=\"${EPREFIX}/usr\""
+ "OPTIMIZE=$(usex !debug)"
+ "V=1"
+ )
+
+ if use python; then
+ local S="${S}/python"
+ python_copy_sources
+ fi
+
+ if use ruby; then
+ SITERUBY="$(ruby30 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
+ SITERUBYARCH="$(ruby30 -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')"
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${EPREFIX}/${SITERUBY}\""
+ "install_rubylibdir=\"${EPREFIX}/${SITERUBYARCH}\""
+ )
+
+ # make it use ruby30 only
+ sed -i \
+ -e 's|RUBY ?= ruby|\030|' \
+ ruby/config/Make.rules || die
+ sed -i \
+ -e 's|env ruby|\030|' \
+ ruby/config/s2rb.rb || die
+ sed -i \
+ -e 's|env ruby|\030|' \
+ ruby/scripts/slice2rb || die
+ fi
+
+ use test && python_setup
+}
+
+src_compile() {
+ # Do not remove this export or build will break!
+ tc-export CXX
+
+ emake -C cpp "${MAKE_RULES[@]}"
+
+ if use php; then
+ local i
+ for i in $(php_get_slots); do
+ mkdir -p "${WORKDIR}/${i}" || die
+ cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
+
+ pushd "${WORKDIR}/${i}" >/dev/null || die
+ ln -s "${S}/cpp" || die
+ ln -s "${S}/config" || die
+ ln -s "${S}/slice" || die
+ ln -s "${S}/Makefile" || die
+
+ emake -C php "${MAKE_RULES[@]}" "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
+ popd >/dev/null || die
+ done
+ fi
+
+ if use python; then
+ building() {
+ emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
+ }
+ local S="${S}/python"
+ python_foreach_impl building
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
+ fi
+}
+
+src_test() {
+ local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ emake -C cpp "${MAKE_RULES[@]}" test
+
+ # php tests require the extension loaded and are therefore skipped
+
+ if use python; then
+ testing() {
+ PYTHONPATH="${BUILD_DIR}"/python emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ PYTHON="${EPYTHON}" \
+ install_pythondir="\"$(python_get_sitedir)\"" \
+ install_libdir="\"$(python_get_sitedir)\"" test
+ }
+ local S="${S}/python"
+ python_foreach_impl testing
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
+ fi
+}
+
+src_install() {
+ local DOCS=( CHANGELOG*.md README.md )
+ use doc && DOCS+=( "${DISTDIR}/${PN}-3.7.1.pdf" )
+ einstalldocs
+
+ MAKE_RULES_INSTALL=(
+ "prefix=\"${ED}/usr\""
+ "install_docdir=\"${ED}/usr/share/doc/${PF}\""
+ "install_configdir=\"${ED}/usr/share/${P}/config\""
+ "install_mandir=\"${ED}/usr/share/man/man1\""
+ )
+
+ insinto /usr/share/${P}
+ doins -r slice
+
+ emake -C cpp "${MAKE_RULES[@]}" "${MAKE_RULES_INSTALL[@]}" install
+
+ if use examples; then
+ docinto examples-cpp
+ dodoc cpp/config/*.cfg
+ docompress -x /usr/share/doc/${PF}/examples-cpp
+ fi
+
+ if use php; then
+ insinto "/usr/share/php/${PN}"
+
+ local i
+ while IFS="" read -d $'\0' -r i; do
+ doins "${i}"
+ done < <(find "${S}/php/lib/" -name '*.php' -print0)
+
+ pushd "${ED}/usr/share/${P}/slice" >/dev/null || die
+
+ local -x LD_LIBRARY_PATH="${ED}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
+ for i in *; do
+ mkdir -p "${ED}/usr/share/php/${i}" || die
+ "${ED}"/usr/bin/slice2php \
+ -I"${ED}/usr/share/${P}/slice/" --all \
+ --output-dir "${ED}/usr/share/php/${i}" \
+ --ice "${ED}/usr/share/${P}/slice/${i}"/*
+ done
+
+ for i in $(php_get_slots); do
+ php_init_slot_env "${i}"
+ insinto "${EXT_DIR}"
+ newins "php/lib/ice.so" "${PHP_EXT_NAME}.so"
+ done
+ php-ext-source-r3_createinifiles
+
+ popd >/dev/null || die
+ fi
+
+ if use python; then
+ installation() {
+ mkdir -p "${D}/$(python_get_sitedir)" || die
+
+ emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ "${MAKE_RULES_INSTALL[@]}" \
+ install_pythondir="\"${D}/$(python_get_sitedir)\"" \
+ install_libdir="\"${D}/$(python_get_sitedir)\"" \
+ install
+ python_optimize
+ }
+ local S="${S}/python"
+ python_foreach_impl installation
+ fi
+
+ if use ruby; then
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${ED}/${SITERUBY}\""
+ "install_rubylibdir=\"${ED}/${SITERUBYARCH}\""
+ )
+ dodir "${SITERUBY}"
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_INSTALL[@]}" "${MAKE_RULES_RUBY[@]}" install
+ fi
+}
diff --git a/dev-libs/Ice/Ice-3.7.8-r2.ebuild b/dev-libs/Ice/Ice-3.7.8-r2.ebuild
new file mode 100644
index 000000000000..2c3a680d0bbf
--- /dev/null
+++ b/dev-libs/Ice/Ice-3.7.8-r2.ebuild
@@ -0,0 +1,258 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+RUBY_OPTIONAL="yes"
+USE_RUBY="ruby31"
+
+PHP_EXT_NAME="IcePHP"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+PHP_EXT_OPTIONAL_USE=php
+
+USE_PHP="php8-0 php8-1 php8-2"
+
+inherit php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
+
+DESCRIPTION="ICE middleware C++ library and generator tools"
+HOMEPAGE="https://zeroc.com/products/ice"
+SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ doc? ( https://download.zeroc.com/Ice/$(ver_cut 1-2)/${PN}-3.7.1.pdf )"
+LICENSE="GPL-2"
+SLOT="0/37"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug doc examples php python ruby test"
+RESTRICT="test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND=">=app-arch/bzip2-1.0.5
+ >=dev-libs/expat-2.0.1
+ dev-libs/libedit
+ dev-cpp/libmcpp
+ dev-db/lmdb:=
+ dev-libs/openssl:0=
+ virtual/libcrypt:=
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( $(ruby_implementation_depend ruby31) )"
+DEPEND="${RDEPEND}
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )"
+
+# Maintainer notes:
+# TODO: java bindings
+
+S="${WORKDIR}/${P,}"
+PHP_EXT_S="${S}/php"
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-musl-build.patch"
+ "${FILESDIR}/${P}-py3k11.patch"
+)
+
+pkg_setup() {
+ # prevent ruby-ng.eclass from messing with pkg_setup
+ return
+}
+
+src_unpack() {
+ # prevent ruby-ng.eclass from messing with src_unpack
+ default
+}
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's|-Werror ||g' \
+ config/Make.rules.Linux || die
+
+ # fix for x86 IceBox test
+ sed -i \
+ -e 's|"32"|""|' \
+ scripts/IceBoxUtil.py || die
+
+ if use !test; then
+ # Disable building tests
+ sed -i \
+ -e 's|include \$(top_srcdir)/config/Make.tests.rules||' \
+ config/Make.rules || die
+ fi
+}
+
+src_configure() {
+ MAKE_RULES=(
+ "embedded_runpath_prefix=\"${EPREFIX}/usr\""
+ "OPTIMIZE=$(usex !debug)"
+ "V=1"
+ )
+
+ if use python; then
+ local S="${S}/python"
+ python_copy_sources
+ fi
+
+ if use ruby; then
+ SITERUBY="$(ruby31 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
+ SITERUBYARCH="$(ruby31 -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')"
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${EPREFIX}/${SITERUBY}\""
+ "install_rubylibdir=\"${EPREFIX}/${SITERUBYARCH}\""
+ )
+
+ # make it use ruby31 only
+ sed -i \
+ -e 's|RUBY ?= ruby|\031|' \
+ ruby/config/Make.rules || die
+ sed -i \
+ -e 's|env ruby|\031|' \
+ ruby/config/s2rb.rb || die
+ sed -i \
+ -e 's|env ruby|\031|' \
+ ruby/scripts/slice2rb || die
+ fi
+
+ use test && python_setup
+}
+
+src_compile() {
+ # Do not remove this export or build will break!
+ tc-export CXX
+
+ emake -C cpp "${MAKE_RULES[@]}"
+
+ if use php; then
+ local i
+ for i in $(php_get_slots); do
+ mkdir -p "${WORKDIR}/${i}" || die
+ cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
+
+ pushd "${WORKDIR}/${i}" >/dev/null || die
+ ln -s "${S}/cpp" || die
+ ln -s "${S}/config" || die
+ ln -s "${S}/slice" || die
+ ln -s "${S}/Makefile" || die
+
+ emake -C php "${MAKE_RULES[@]}" "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
+ popd >/dev/null || die
+ done
+ fi
+
+ if use python; then
+ building() {
+ emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
+ }
+ local S="${S}/python"
+ python_foreach_impl building
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
+ fi
+}
+
+src_test() {
+ local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ emake -C cpp "${MAKE_RULES[@]}" test
+
+ # php tests require the extension loaded and are therefore skipped
+
+ if use python; then
+ testing() {
+ PYTHONPATH="${BUILD_DIR}"/python emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ PYTHON="${EPYTHON}" \
+ install_pythondir="\"$(python_get_sitedir)\"" \
+ install_libdir="\"$(python_get_sitedir)\"" test
+ }
+ local S="${S}/python"
+ python_foreach_impl testing
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
+ fi
+}
+
+src_install() {
+ local DOCS=( CHANGELOG*.md README.md )
+ use doc && DOCS+=( "${DISTDIR}/${PN}-3.7.1.pdf" )
+ einstalldocs
+
+ MAKE_RULES_INSTALL=(
+ "prefix=\"${ED}/usr\""
+ "install_docdir=\"${ED}/usr/share/doc/${PF}\""
+ "install_configdir=\"${ED}/usr/share/${P}/config\""
+ "install_mandir=\"${ED}/usr/share/man/man1\""
+ )
+
+ insinto /usr/share/${P}
+ doins -r slice
+
+ emake -C cpp "${MAKE_RULES[@]}" "${MAKE_RULES_INSTALL[@]}" install
+
+ if use examples; then
+ docinto examples-cpp
+ dodoc cpp/config/*.cfg
+ docompress -x /usr/share/doc/${PF}/examples-cpp
+ fi
+
+ if use php; then
+ insinto "/usr/share/php/${PN}"
+
+ local i
+ while IFS="" read -d $'\0' -r i; do
+ doins "${i}"
+ done < <(find "${S}/php/lib/" -name '*.php' -print0)
+
+ pushd "${ED}/usr/share/${P}/slice" >/dev/null || die
+
+ local -x LD_LIBRARY_PATH="${ED}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
+ for i in *; do
+ mkdir -p "${ED}/usr/share/php/${i}" || die
+ "${ED}"/usr/bin/slice2php \
+ -I"${ED}/usr/share/${P}/slice/" --all \
+ --output-dir "${ED}/usr/share/php/${i}" \
+ --ice "${ED}/usr/share/${P}/slice/${i}"/*
+ done
+
+ for i in $(php_get_slots); do
+ php_init_slot_env "${i}"
+ insinto "${EXT_DIR}"
+ newins "php/lib/ice.so" "${PHP_EXT_NAME}.so"
+ done
+ php-ext-source-r3_createinifiles
+
+ popd >/dev/null || die
+ fi
+
+ if use python; then
+ installation() {
+ mkdir -p "${D}/$(python_get_sitedir)" || die
+
+ emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ "${MAKE_RULES_INSTALL[@]}" \
+ install_pythondir="\"${D}/$(python_get_sitedir)\"" \
+ install_libdir="\"${D}/$(python_get_sitedir)\"" \
+ install
+ python_optimize
+ }
+ local S="${S}/python"
+ python_foreach_impl installation
+ fi
+
+ if use ruby; then
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${ED}/${SITERUBY}\""
+ "install_rubylibdir=\"${ED}/${SITERUBYARCH}\""
+ )
+ dodir "${SITERUBY}"
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_INSTALL[@]}" "${MAKE_RULES_RUBY[@]}" install
+ fi
+}
diff --git a/dev-libs/Ice/Ice-3.7.8.ebuild b/dev-libs/Ice/Ice-3.7.8.ebuild
new file mode 100644
index 000000000000..53f105a80a3b
--- /dev/null
+++ b/dev-libs/Ice/Ice-3.7.8.ebuild
@@ -0,0 +1,258 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+RUBY_OPTIONAL="yes"
+USE_RUBY="ruby27"
+
+PHP_EXT_NAME="IcePHP"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+PHP_EXT_OPTIONAL_USE=php
+
+USE_PHP="php8-0 php8-1 php8-2"
+
+inherit php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
+
+DESCRIPTION="ICE middleware C++ library and generator tools"
+HOMEPAGE="https://zeroc.com/products/ice"
+SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ doc? ( https://download.zeroc.com/Ice/$(ver_cut 1-2)/${PN}-3.7.1.pdf )"
+LICENSE="GPL-2"
+SLOT="0/37"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug doc examples php python ruby test"
+RESTRICT="test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND=">=app-arch/bzip2-1.0.5
+ >=dev-libs/expat-2.0.1
+ dev-libs/libedit
+ dev-cpp/libmcpp
+ dev-db/lmdb:=
+ dev-libs/openssl:0=
+ virtual/libcrypt:=
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( $(ruby_implementation_depend ruby27) )"
+DEPEND="${RDEPEND}
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )"
+
+# Maintainer notes:
+# TODO: java bindings
+
+S="${WORKDIR}/${P,}"
+PHP_EXT_S="${S}/php"
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-musl-build.patch"
+ "${FILESDIR}/${P}-py3k11.patch"
+)
+
+pkg_setup() {
+ # prevent ruby-ng.eclass from messing with pkg_setup
+ return
+}
+
+src_unpack() {
+ # prevent ruby-ng.eclass from messing with src_unpack
+ default
+}
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's|-Werror ||g' \
+ config/Make.rules.Linux || die
+
+ # fix for x86 IceBox test
+ sed -i \
+ -e 's|"32"|""|' \
+ scripts/IceBoxUtil.py || die
+
+ if use !test; then
+ # Disable building tests
+ sed -i \
+ -e 's|include \$(top_srcdir)/config/Make.tests.rules||' \
+ config/Make.rules || die
+ fi
+}
+
+src_configure() {
+ MAKE_RULES=(
+ "embedded_runpath_prefix=\"${EPREFIX}/usr\""
+ "OPTIMIZE=$(usex !debug)"
+ "V=1"
+ )
+
+ if use python; then
+ local S="${S}/python"
+ python_copy_sources
+ fi
+
+ if use ruby; then
+ SITERUBY="$(ruby27 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
+ SITERUBYARCH="$(ruby27 -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')"
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${EPREFIX}/${SITERUBY}\""
+ "install_rubylibdir=\"${EPREFIX}/${SITERUBYARCH}\""
+ )
+
+ # make it use ruby27 only
+ sed -i \
+ -e 's|RUBY ?= ruby|\027|' \
+ ruby/config/Make.rules || die
+ sed -i \
+ -e 's|env ruby|\027|' \
+ ruby/config/s2rb.rb || die
+ sed -i \
+ -e 's|env ruby|\027|' \
+ ruby/scripts/slice2rb || die
+ fi
+
+ use test && python_setup
+}
+
+src_compile() {
+ # Do not remove this export or build will break!
+ tc-export CXX
+
+ emake -C cpp "${MAKE_RULES[@]}"
+
+ if use php; then
+ local i
+ for i in $(php_get_slots); do
+ mkdir -p "${WORKDIR}/${i}" || die
+ cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
+
+ pushd "${WORKDIR}/${i}" >/dev/null || die
+ ln -s "${S}/cpp" || die
+ ln -s "${S}/config" || die
+ ln -s "${S}/slice" || die
+ ln -s "${S}/Makefile" || die
+
+ emake -C php "${MAKE_RULES[@]}" "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
+ popd >/dev/null || die
+ done
+ fi
+
+ if use python; then
+ building() {
+ emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
+ }
+ local S="${S}/python"
+ python_foreach_impl building
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
+ fi
+}
+
+src_test() {
+ local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ emake -C cpp "${MAKE_RULES[@]}" test
+
+ # php tests require the extension loaded and are therefore skipped
+
+ if use python; then
+ testing() {
+ PYTHONPATH="${BUILD_DIR}"/python emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ PYTHON="${EPYTHON}" \
+ install_pythondir="\"$(python_get_sitedir)\"" \
+ install_libdir="\"$(python_get_sitedir)\"" test
+ }
+ local S="${S}/python"
+ python_foreach_impl testing
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
+ fi
+}
+
+src_install() {
+ local DOCS=( CHANGELOG*.md README.md )
+ use doc && DOCS+=( "${DISTDIR}/${PN}-3.7.1.pdf" )
+ einstalldocs
+
+ MAKE_RULES_INSTALL=(
+ "prefix=\"${ED}/usr\""
+ "install_docdir=\"${ED}/usr/share/doc/${PF}\""
+ "install_configdir=\"${ED}/usr/share/${P}/config\""
+ "install_mandir=\"${ED}/usr/share/man/man1\""
+ )
+
+ insinto /usr/share/${P}
+ doins -r slice
+
+ emake -C cpp "${MAKE_RULES[@]}" "${MAKE_RULES_INSTALL[@]}" install
+
+ if use examples; then
+ docinto examples-cpp
+ dodoc cpp/config/*.cfg
+ docompress -x /usr/share/doc/${PF}/examples-cpp
+ fi
+
+ if use php; then
+ insinto "/usr/share/php/${PN}"
+
+ local i
+ while IFS="" read -d $'\0' -r i; do
+ doins "${i}"
+ done < <(find "${S}/php/lib/" -name '*.php' -print0)
+
+ pushd "${ED}/usr/share/${P}/slice" >/dev/null || die
+
+ local -x LD_LIBRARY_PATH="${ED}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
+ for i in *; do
+ mkdir -p "${ED}/usr/share/php/${i}" || die
+ "${ED}"/usr/bin/slice2php \
+ -I"${ED}/usr/share/${P}/slice/" --all \
+ --output-dir "${ED}/usr/share/php/${i}" \
+ --ice "${ED}/usr/share/${P}/slice/${i}"/*
+ done
+
+ for i in $(php_get_slots); do
+ php_init_slot_env "${i}"
+ insinto "${EXT_DIR}"
+ newins "php/lib/ice.so" "${PHP_EXT_NAME}.so"
+ done
+ php-ext-source-r3_createinifiles
+
+ popd >/dev/null || die
+ fi
+
+ if use python; then
+ installation() {
+ mkdir -p "${D}/$(python_get_sitedir)" || die
+
+ emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ "${MAKE_RULES_INSTALL[@]}" \
+ install_pythondir="\"${D}/$(python_get_sitedir)\"" \
+ install_libdir="\"${D}/$(python_get_sitedir)\"" \
+ install
+ python_optimize
+ }
+ local S="${S}/python"
+ python_foreach_impl installation
+ fi
+
+ if use ruby; then
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${ED}/${SITERUBY}\""
+ "install_rubylibdir=\"${ED}/${SITERUBYARCH}\""
+ )
+ dodir "${SITERUBY}"
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_INSTALL[@]}" "${MAKE_RULES_RUBY[@]}" install
+ fi
+}
diff --git a/dev-libs/Ice/Manifest b/dev-libs/Ice/Manifest
index 831a22ce2f7f..c8623dc02f77 100644
--- a/dev-libs/Ice/Manifest
+++ b/dev-libs/Ice/Manifest
@@ -1,7 +1,14 @@
AUX Ice-3.6.3-no-arch-opts.patch 1462 BLAKE2B 0adbbb302a3fde0dab4dba0b5947ee5da3413a8c3dc02fb8612837f4a2b3ecb56b92628430d8f3c2315f1fb0fa057bf0942dd389941b61d70d12b4078ce45d84 SHA512 236abce89a7bcf64d6a12db5a82d62db1effa2b5a105ae7c83910f02ca1ccd610193097a2c959d2a487f0d641af70ba8013bcfe570e2af40976d9a1017272e6e
AUX Ice-3.6.5-csharp.patch 1573 BLAKE2B 2e69e87179bd938bb34f1ae9826b09b935cb9a13e5f68fc81a6302afb66e4b4f45f1c22975cd3e2bc29e044dd7d47b120a93ea546d56cee93b6ee8f2a4af15f5 SHA512 7930b143b10da6521877c921b7b8dabb97b688ea8219dfb6cd2bbecf609cdcd07dcf4c2f80394a07337939d7ce42cb10bb1aed12885aa533e9ad9dec30ac6b87
AUX Ice-3.6.5-db6.patch 1664 BLAKE2B 9ef67c83612875c68dd8fb7cea025ce3fca1e4384335108aa423ca63b53c6c723d9f7f9fd8fdc6895f8aedee0826efc225d89e487f5c95c395a8cdb1b893826a SHA512 ba94bddf3f43688ca74e5fd42fbafd7d0b6f02f616dfa4b6aff69ef1089f4404618cf07871d265b0b07037ca02a27fc397767d845a7e0edc60baa37704a064f0
+AUX Ice-3.7.8-fix-musl-build.patch 568 BLAKE2B e320641208d46b27acc68d932aed336bf74407e3db8351e59b43172be771fe80ba813e01812a40b2cd57bd8002a0fe707f9a32fdef3f7b323c8a764f7f1c5c97 SHA512 be19a21ff3d4ddafb9d1b9c866f392b3eb081e450b9a061884485b7713f06ad5a7c58a0275328de8bdf39d0bfb2fcc085583105f47cae51e6cae42651a04ed3e
+AUX Ice-3.7.8-py3k11.patch 1500 BLAKE2B c7580ff44b3d29071f48c72c00069e9689d8e6d354027469b70c14b249bc1b8c4b7453df02a4282066869b936a3f71e850d17a93444f1b192ccfb9998d8e632b SHA512 ebe4e8458785d4191f42fca81995f31c9e7d6e9290a91491ef311b2104c193161b5d3a8489a34630e0d42cb9dd3870e3f48fe8089b8f0739afbe822e1a9db4fb
DIST Ice-3.6.4.pdf 8907736 BLAKE2B 5a631c1e2e147c8ed3b31a84192210c92bbe83e8644ec9d7d164d1b94a20069ce77f6baf54910ac00c7216cbc2979caac6fa78457e9292a84407e93000f9903a SHA512 9bd2d373eb83e08e563cab174a53063a490367dea3e4b910f93f0477c3817282c859f07e46e503006e9bd37678fb6da31a58b88bfabd217b5e371fff685321a0
DIST Ice-3.6.5.tar.gz 5505499 BLAKE2B e16e8932f09270ac6bb86984ab47fa229ad873ee343ac4f56bb48b6f9547387ded0392a76302afac2c98b6d31da7c1faf294574cdba52654e7dea0af16b4169d SHA512 3431928e6168d716919aa9b3126d17a8ae14895bb78a369902a2bb350b2e82923f38ee17965ed3696512a016fcd34dc128e9aaca40fb2b032e7f7eb07bcb903b
+DIST Ice-3.7.1.pdf 9351739 BLAKE2B 527f2c37aea19aedbfc580efd93ce4fae2eb7264342bb485822593e2da6fb75a61eea2b1a46187898af07f138d10bf9a213d0b2a0685c18cd1d4c624709a935b SHA512 199b59f14b87b2896ba970bf5aa32f6fd858cbd3fed18eac93acafe4e296db1361ca2d2000ed49f3390ed66c1d4ff8c1fcd3f14ab8197d7804c87fce422c8486
+DIST Ice-3.7.8.tar.gz 11056950 BLAKE2B 66686d6e66a997badef53ee30782775047a2fa39d70fa8ed73c5e7a1bad3c3899efd8d68f557a416caacd65860a73834a6bdc3188730fa19a3f1e47f028c5e21 SHA512 eb5863cb5e83000199c27a5a505a19e5f1ec05e8575eb9cdc03f6db30447212e3b02e6adc70fb2ae6ddc63cfd93bc2b6b290f38919364ee9f08b238a0aa11e88
EBUILD Ice-3.6.5-r2.ebuild 8488 BLAKE2B 75fc7e9830b32640a55e2b4228f2dc9858495896d8cb345230cf92007bdbc077d0443c94d1afc1e6a7716fb8b3be489316650df1648f4c5d473f530c05ee4dda SHA512 c6451f5c526dd4d41284e074fef331b8a4e483b69ce310cce4827b127f06fbd4d126808dc4889ac109dee737b18a5d28d7be9b651d8886d5e8b7488f146c5508
+EBUILD Ice-3.7.8-r1.ebuild 5997 BLAKE2B 363e6c3aaf3a349b63b61be7ec8bf50fd4f5e89fc89502f66aa054cdf00ee5df26a32e9626d79d18f54b691e40a860cb5b1a78a253047b9e38c8bd17177e4ffd SHA512 8559f82c5f31e4bf273c84825cfa2f5c89095c400abe310cbec6498c1b7dff9ec323671463a7a14f360d6721af68da5adfcc305528ebe5da328c1a9c82012c7d
+EBUILD Ice-3.7.8-r2.ebuild 5997 BLAKE2B d17852615902b63537b088a30a24a0cba398b5dbbee964945536856e778192cd17818d90edc5dfd7c71cccd42c5a90f1dcdb3468fe8992a45eb0a0e840070bb7 SHA512 1d962c594763bd56e28e4d2d4a24192577bcb666a8bb10a2a8ed122d17c25663bba742ff6e81ca6b233f5b0203eb02748fa3ac82b81176924ed3f3dc5f5e11b4
+EBUILD Ice-3.7.8.ebuild 5997 BLAKE2B 5769e51a362a7ab3fcc9aef76e82f60207b5835ef4e196fca45ad6186e247fbe928412bb1bc9b21f88061801904f9b34fbc6011803413c3da4b2c458cad41379 SHA512 a208cf3bd15bdc98c64288e02958f5112df99350f7be846e44bd966e5064249aed2b49cf3dd561b475c3bb10eefa8af552e61084b29e8fedb3373357133211e1
MISC metadata.xml 471 BLAKE2B 50fef5d9314fcf793c140c97016a5af4ecb2b1aa5cc86e8cd1f961beb1e55aeb23d1228bf9dcccb10d54458b72766eba80c9b18d9add7928fdd4197577e58971 SHA512 65d2e51347c27ee6414f07a69ecd886d9eb6a18b3419a80e0e7022bdf127b03fca0cdb954c5a3d46dba29e40dc7973a7c5d6b8388af36702c3874e02589cad56
diff --git a/dev-libs/Ice/files/Ice-3.7.8-fix-musl-build.patch b/dev-libs/Ice/files/Ice-3.7.8-fix-musl-build.patch
new file mode 100644
index 000000000000..76fa6c5cb641
--- /dev/null
+++ b/dev-libs/Ice/files/Ice-3.7.8-fix-musl-build.patch
@@ -0,0 +1,13 @@
+https://github.com/void-linux/void-packages/blob/master/srcpkgs/Ice/patches/fix-musl.patch
+
+--- a/cpp/src/IceUtil/UtilException.cpp
++++ b/cpp/src/IceUtil/UtilException.cpp
+@@ -43,7 +43,7 @@
+ # endif
+ # endif
+
+-# if !defined(_AIX) && !defined(__sun) && !defined(__FreeBSD__) && !defined(__MINGW32__) && !defined(ICE_STATIC_LIBS)
++# if !defined(_AIX) && !defined(__sun) && !defined(__FreeBSD__) && !defined(__MINGW32__) && !defined(ICE_STATIC_LIBS) && defined(__GLIBC__)
+ # include <execinfo.h>
+ # include <cxxabi.h>
+ # include <stdint.h>
diff --git a/dev-libs/Ice/files/Ice-3.7.8-py3k11.patch b/dev-libs/Ice/files/Ice-3.7.8-py3k11.patch
new file mode 100644
index 000000000000..7295aa6d9554
--- /dev/null
+++ b/dev-libs/Ice/files/Ice-3.7.8-py3k11.patch
@@ -0,0 +1,45 @@
+From a98f34df525dce54a96f443806599978b293d7c5 Mon Sep 17 00:00:00 2001
+From: Jose <pepone@users.noreply.github.com>
+Date: Thu, 3 Nov 2022 16:52:58 +0100
+Subject: [PATCH] Python 3.11 build fixes (#1394)
+
+---
+ python/modules/IcePy/Slice.cpp | 7 ++++++-
+ python/modules/IcePy/Util.cpp | 5 +++++
+ 2 files changed, 11 insertions(+), 1 deletion(-)
+
+diff --git a/python/modules/IcePy/Slice.cpp b/python/modules/IcePy/Slice.cpp
+index e11365d8d40..7138e76dac0 100644
+--- a/python/modules/IcePy/Slice.cpp
++++ b/python/modules/IcePy/Slice.cpp
+@@ -14,7 +14,12 @@
+ // Python headers needed for PyEval_EvalCode.
+ //
+ #include <compile.h>
+-#include <eval.h>
++// Use ceval.h instead of eval.h with Pyhthon 3.11 and greater
++#if PY_VERSION_HEX >= 0x030B0000
++# include <ceval.h>
++#else
++# include <eval.h>
++#endif
+
+ using namespace std;
+ using namespace IcePy;
+diff --git a/python/modules/IcePy/Util.cpp b/python/modules/IcePy/Util.cpp
+index f15c7a5c690..73955c933a2 100644
+--- a/python/modules/IcePy/Util.cpp
++++ b/python/modules/IcePy/Util.cpp
+@@ -225,7 +225,12 @@ IcePy::getFunction()
+ //
+ // Get name of current function.
+ //
++ // Use PyEval_GetFrame with Pyhthon >= 3.11
++#if PY_VERSION_HEX >= 0x030B0000
++ PyFrameObject *f = PyEval_GetFrame();
++#else
+ PyFrameObject *f = PyThreadState_GET()->frame;
++#endif
+ PyObjectHandle code = getAttr(reinterpret_cast<PyObject*>(f), "f_code", false);
+ assert(code.get());
+ PyObjectHandle func = getAttr(code.get(), "co_name", false);
diff --git a/dev-libs/Manifest.gz b/dev-libs/Manifest.gz
index 5078f88f48e5..bd67959fca67 100644
--- a/dev-libs/Manifest.gz
+++ b/dev-libs/Manifest.gz
Binary files differ
diff --git a/dev-libs/ayatana-ido/Manifest b/dev-libs/ayatana-ido/Manifest
index 32f35dc76ecd..875c3b50fba3 100644
--- a/dev-libs/ayatana-ido/Manifest
+++ b/dev-libs/ayatana-ido/Manifest
@@ -1,3 +1,3 @@
DIST ayatana-ido-0.9.2.tar.gz 122286 BLAKE2B f6498591d72fa6deb5d9c8d87ddad399e41b3701719e45fe82dc8d5bd6ede30bb754561fdeaa938713692a90b8c48657ea2cb472c762acab6c3f36c73907b92e SHA512 efc5825d32d707b02397692c347f99f3bca13da2cd653b6ce87882643c85c2698bdac6168e89a01ed98d5ee58c88a820d89dad7b88a5aee235b450c40969d0a7
-EBUILD ayatana-ido-0.9.2.ebuild 926 BLAKE2B 5856f8ec1d001135d02c72de6d38287f2c7140434d86f6334fe345e391444b23af984b5df475870d41150a6a18c58759194204546ecc663fe7e7b0d6d67204cc SHA512 622684d7cc88573654495cd7165c2edb9d5d92d46f0c0c6dcd92d161ba3a97bac4d5c61359451da63450d94cbf48a57413b4475139d33db059c1bd13713d010d
+EBUILD ayatana-ido-0.9.2.ebuild 933 BLAKE2B 70fabad4be5af8ffd8dded0b7fc41410c605eb793039455e09ab78040da9cdbfefb8bc69efeaee408f15d46571576716c81208118af273b207a73e4e928c24d3 SHA512 166390376eef5b728cb58baa31da274e0e6fe4deb62f144d92a37fdaa4d3aeb332ac680463d584fafe86fa72aeae1d1e80c7d90f60e79adc5e4a57793713924e
MISC metadata.xml 311 BLAKE2B 28fa9db014e9362128d165b27c8f26056169acdc0fe2b438c9d3d47d473a4d05116cf65e061d5a881052b081df278678fa8c8d70d7b16765cd7b4881e6c8a2ea SHA512 504ed1007b71b9964cd9a0718270cf2147069eaa1eac3e13f2837d10486d893fddfad3458835d582c37c9987f8542702782db4f853d51cf3cddcdac96d5fb635
diff --git a/dev-libs/ayatana-ido/ayatana-ido-0.9.2.ebuild b/dev-libs/ayatana-ido/ayatana-ido-0.9.2.ebuild
index f9b18b5d84ec..429d24786a67 100644
--- a/dev-libs/ayatana-ido/ayatana-ido-0.9.2.ebuild
+++ b/dev-libs/ayatana-ido/ayatana-ido-0.9.2.ebuild
@@ -18,7 +18,7 @@ IUSE="test"
RESTRICT="test"
#RESTRICT="!test? ( test )"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~x86"
RDEPEND="
>=dev-libs/glib-2.58:2
diff --git a/dev-libs/libayatana-appindicator/Manifest b/dev-libs/libayatana-appindicator/Manifest
index 4912559abdac..77787bdb0a16 100644
--- a/dev-libs/libayatana-appindicator/Manifest
+++ b/dev-libs/libayatana-appindicator/Manifest
@@ -1,3 +1,3 @@
DIST libayatana-appindicator-0.5.91.tar.gz 158269 BLAKE2B e1df60ce2b3ff5712cabf627a54e0767dcbc94d4e11c96a18fd20079642e6d033bfdd9e57d12235c72075cef1d711f5b042fb0a6282a6120018c8cdcc3b4033c SHA512 cc8631814c881640bf2de91a43205c3405fd1fefcd7d58f259171d0926bf7ab08f9361076f4eea1dd8876e8931f9c9230babd3a328f34dc298bc9c4ff004f8ee
-EBUILD libayatana-appindicator-0.5.91.ebuild 1074 BLAKE2B 73390e75fab879417ba8a16c8643b7ccad6f2f8cb43923e9198d5fc3b1b8cfc1a4c73eaffd8e1067b4a35016bf2e397411ea7b9036e2c657ac5c1fcdc141392a SHA512 8bbf0b9101a8cbe57e265a09e49314c8e36b28f73660a308e3e783e6aeea74fccc0547efb394e0d479de960a74bf1e2fe214ad619f5888aa47b3d9f1e5827d66
+EBUILD libayatana-appindicator-0.5.91.ebuild 1081 BLAKE2B 6c5670647a8566a648ea3d66e761032271be02afc0aa9d24bb400bf399410e437205182b5b5c70ecff0a1b30ba40d8934f1dd5756990ebe7aaed7bfca1c7c1f5 SHA512 8347db1d3334462063498d8b0565e5b9479485b0123b3311e842a0b053bb9a821cd80809cfa765a6ff196a9772dfdb27c398855989cda05161f4064a052c879d
MISC metadata.xml 323 BLAKE2B 62ad338f71f771275eebdf77e713cc18c563be61d5eaee28f05915db16eccb885a436fa5967561b12be5441db354be705d4f9d25c3cbf0d5585e4ec11cd557da SHA512 715eff628c3440dabe9e3d2417f30fb80faae799c599dd4ae7302099e28fe9c1c01b503e0fb7fdc2defd03794bae547ac31bf5ade187e711acea455624d8ec72
diff --git a/dev-libs/libayatana-appindicator/libayatana-appindicator-0.5.91.ebuild b/dev-libs/libayatana-appindicator/libayatana-appindicator-0.5.91.ebuild
index 1ab8bf8da1df..0e516e2d5df7 100644
--- a/dev-libs/libayatana-appindicator/libayatana-appindicator-0.5.91.ebuild
+++ b/dev-libs/libayatana-appindicator/libayatana-appindicator-0.5.91.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/AyatanaIndicators/${PN}/archive/${PV}.tar.gz -> ${P}
LICENSE="GPL-3 LGPL-2 LGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-libs/libayatana-indicator/Manifest b/dev-libs/libayatana-indicator/Manifest
index 8debf6350a56..3943bddae299 100644
--- a/dev-libs/libayatana-indicator/Manifest
+++ b/dev-libs/libayatana-indicator/Manifest
@@ -1,3 +1,3 @@
DIST libayatana-indicator-0.9.3.tar.gz 149890 BLAKE2B c15ec72218814d9a33ab8cf654222ff7e05980de5cb175904041973d1ef9506c56a89e5fa8d41c1eaa2367f93a57e056010e23b87c2533cc7e731fbdfb23ef85 SHA512 cc2dd1e304e657cd8497d3107e7993122db6bbcf28c25dc1b41b250831cb76507226b5673abbd65bc954cbd5c3851df5528135df45d1cbb3de85c0c87c279452
-EBUILD libayatana-indicator-0.9.3.ebuild 974 BLAKE2B fe3f0bb71d0445e7a6e4212559a423ca7b194e708e72c2f22434077a6b638ade2477e271f3ddf035105f1870bb3519de35ce11609ea5d2e37fea2040bebfa573 SHA512 de33651f62a6981dc2d59661f0e6362eb87f83efc10004776b2b86a9163739c6c5f0485f7d8aec97fb2edb4c6feca9802bf85b577f2db2ab1517776f1effa0d9
+EBUILD libayatana-indicator-0.9.3.ebuild 981 BLAKE2B 81045cf4a146555ec7ba37a3b47de6ac5bcf5f74ea1ec21289423856541cbf71e180a2a78683834f5e03bcef955fd6b97ad7d08f81eea2434014814c9daa6348 SHA512 7c88bb02badde59e5b763337b2e65bbd1f920ad69bf2bf9a43d51b3168635bd21219733f77ed14a53da20219aeae4f818cec72d42717a6ab988b14cfb0b28045
MISC metadata.xml 320 BLAKE2B 87ef34f60a6f66effac9de367e4dc493976b8fc08162ed86fd3b5cb15d7b0e51bc3b91d0675db4b3c48d17bcaab88f6fbdfd9ff2b63ec9079f71f56e13ab38fe SHA512 6ac6de8cd88988867e14f0b3a57b10762c171da8d75718c202c3f3a4a41707bd7d2eb4faee10b0b3d6a8130ef7b84036ae1a9575e97b25110ed185cda00e7e60
diff --git a/dev-libs/libayatana-indicator/libayatana-indicator-0.9.3.ebuild b/dev-libs/libayatana-indicator/libayatana-indicator-0.9.3.ebuild
index 2ee6e86ff85e..f2f17dbe0fd5 100644
--- a/dev-libs/libayatana-indicator/libayatana-indicator-0.9.3.ebuild
+++ b/dev-libs/libayatana-indicator/libayatana-indicator-0.9.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/AyatanaIndicators/${PN}/archive/${PV}.tar.gz -> ${P}
LICENSE="GPL-3"
SLOT="3"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-libs/libsigc++/Manifest b/dev-libs/libsigc++/Manifest
index d6dd614f5c22..cc7afbcefa5c 100644
--- a/dev-libs/libsigc++/Manifest
+++ b/dev-libs/libsigc++/Manifest
@@ -1,5 +1,9 @@
DIST libsigc++-2.10.8.tar.xz 4998876 BLAKE2B f460652950af895fab6d4028d721e2a439b0a4dfb260515c9acc053a41435be7d7f7328fc42f64ef34b36be31c5281e5998ceee2c08970f1fcec82176fab09b0 SHA512 8b22fd8ae4eca3ebc1b65b68d4dc022e7bbde6d1d02a557e64d2fda2682e2e39b357af6d8b68e8741c287701be9fffd27125c6171790455a7657e0ea55cc08b3
+DIST libsigc++-2.12.0.tar.xz 5002560 BLAKE2B f4d42dfbac95be974a5e49a7bcfd4c97fb0423f5bcc9d0bda79e6cee6bab54ae77969a3e5c58094264068c38212a0ff66b3dae2a519c4101bdfa170e94767641 SHA512 88e382e274a574a4b6129e23916054642e1696c663a4bb84f05e14a401f0cb56d0a0bf8c3a6273aec36ce121ce18a338b6d491fb213bcdf5a627bd382719e021
DIST libsigc++-3.2.0.tar.xz 785900 BLAKE2B 6c128a0c426814bde26b092c20f9eca1029712f5130a12088bf7cae10c56105334a12df0b26fe1234ed4c262cac576312d2e72abb926b6422e6fc111ccee8734 SHA512 91315cecc79a1ad6ea165b66a13a5afd4e5bc101842f9d4c58811ea78536c07fc8821c51aa5110a032ed71c09f85790b3a02f2ad7fe8cc3aed6e03b2bafcd70c
+DIST libsigc++-3.4.0.tar.xz 949316 BLAKE2B f12e8199333f5d23827a33718e884835af79ae90f3aa9d71944b5277783f171ed17b81453b46ee9c46e945f3fd6f5152707723dfdc471c992375f0efb6a253ef SHA512 1677d5151db5e74388d8ba4f5cf316f1e5c92aa380c0725ea62ee41f10f549296d528a8998dfa4767ca699782c93f756c072de9e0e07e52307f61ff72c952fe4
EBUILD libsigc++-2.10.8.ebuild 1102 BLAKE2B a64739d480cd6af3fed44ec6a3feb529592191bef05870204f372ebd2ef7cb8be89a0bf45a3e8dd06be0a7bd0aaa2b2035718453d22fad544551d3c539ecaacc SHA512 ef3fd5e44432208e4aef1cf876f41297a56444840742433ac5e36fe9be246e1b1861470a949bda9b5fa29c16a4fd9c41ae59ce02e1d6dae9c6f7732479c1a228
+EBUILD libsigc++-2.12.0.ebuild 1141 BLAKE2B e8e283265286de3d9fc88b52c12b054fc2ca3bb453ad60622fe966ca0dca820f0219c6f153d222cc826f0463f753cd47349472d99947cd23fc5b634333dca589 SHA512 42a35fc14af63439c03acf0dc3fcf03aee38173d704c53c255836edd0ba65aed2cf48cd4d572447eb08e567d4d53e23133e1865dcaba6298530bd9bf21f81fc6
EBUILD libsigc++-3.2.0-r1.ebuild 1149 BLAKE2B 71605522a6a49529b6665b48a90d57af7043da55e1fa9572ea5c3ff03bfa89abb1645c4f85b212ff8ae7fd0b3d25b1f3d9636f75e8fc56dc66de8c27be06c56c SHA512 7367f5984cc6dd8a4e75445db59dd2d93f0fd81d0d1b11aa48dfb0de12aae399190c83eeb1645cefe99b689835903c574b737c5aae7f23a47909fea166d95210
+EBUILD libsigc++-3.4.0.ebuild 1081 BLAKE2B db128339cbd71bd3cb82473f5ae676e6d6b11553d83dcb2ab38df667350eb2becb605a8fba2eb6e6f26b38d01887edd1068d9ae1755756747d7df6abf41a7e4f SHA512 a49acbcbe3be9515f43479abe6a90cee5389d21e807bd423ef3877d7b9b6572aa1c6452d8515d4aa0ab7addcd6e65f9e3c44e3ce1fdafcac767ea0dec95457c1
MISC metadata.xml 360 BLAKE2B cd5d7f32949df66ccd10d45bccf8d6433a5c0d218356bfd453037e1b0c3ad7e39a1fa1b9354a4f2c68a9340c1bed0c940f77e28ac43fb904a547bae0f4ef5b7e SHA512 0cab4a9537dbf409b15c8bcaba9653d434776292eb65c1bf9708c0ce2cf9134c23ceae09c4384950733928095735f137f51e8ad6d0253b77c9b3fafbc2b75877
diff --git a/dev-libs/libsigc++/libsigc++-2.12.0.ebuild b/dev-libs/libsigc++/libsigc++-2.12.0.ebuild
new file mode 100644
index 000000000000..45d13b525a28
--- /dev/null
+++ b/dev-libs/libsigc++/libsigc++-2.12.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit flag-o-matic gnome.org meson-multilib
+
+DESCRIPTION="Typesafe callback system for standard C++"
+HOMEPAGE="https://libsigcplusplus.github.io/libsigcplusplus/
+ https://github.com/libsigcplusplus/libsigcplusplus"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="gtk-doc test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-libs/boost[${MULTILIB_USEDEP}] )"
+BDEPEND="sys-devel/m4
+ gtk-doc? ( app-doc/doxygen[dot] )"
+
+multilib_src_configure() {
+ filter-flags -fno-exceptions #84263
+
+ local -a emesonargs=(
+ $(meson_use test benchmark)
+ $(meson_native_use_bool gtk-doc build-documentation)
+ -Dbuild-examples=false
+ $(meson_use test build-tests)
+ )
+ meson_src_configure
+}
+
+multilib_src_install_all() {
+ # Note: html docs are installed into /usr/share/doc/libsigc++-2.0
+ # We can't use /usr/share/doc/${PF} because of links from glibmm etc. docs
+ :;
+}
diff --git a/dev-libs/libsigc++/libsigc++-3.4.0.ebuild b/dev-libs/libsigc++/libsigc++-3.4.0.ebuild
new file mode 100644
index 000000000000..962a59792908
--- /dev/null
+++ b/dev-libs/libsigc++/libsigc++-3.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit gnome.org flag-o-matic meson-multilib
+
+DESCRIPTION="Typesafe callback system for standard C++"
+HOMEPAGE="https://libsigcplusplus.github.io/libsigcplusplus/
+ https://github.com/libsigcplusplus/libsigcplusplus"
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="gtk-doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ gtk-doc? (
+ app-doc/doxygen[dot]
+ dev-lang/perl
+ dev-libs/libxslt
+ )
+"
+
+multilib_src_configure() {
+ filter-flags -fno-exceptions #84263
+
+ local emesonargs=(
+ -Dbuild-examples=false
+ $(meson_native_use_bool gtk-doc build-documentation)
+ $(meson_use test build-tests)
+ )
+ meson_src_configure
+}
+
+multilib_src_install_all() {
+ # Note: html docs are installed into /usr/share/doc/libsigc++-3.0
+ # We can't use /usr/share/doc/${PF} because of links from glibmm etc. docs
+ :;
+}